<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Company extends Model
{

    public function client()
    {
        return $this->belongsTo(User::class, 'user_id', 'id');
    }
    //
     //
    //
    /**
     * The table associated with the model.
     *
     * @var string
     */
    protected $table = 'companies';

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = [
        'location_id',
        'name',
        'email',
        'address',
        'phone',
        'mobile',
        'whatsapp',
        'logo',
        'vat_number',
        'trn_number',
        'tin_number',
        'status'
    ];


    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    protected $hidden = [
    ];

    /**
     * The attributes that should be cast to native types.
     *
     * @var array
     */
    protected $casts = [
    ];
}
