    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <br>
                    <div class="row">
                        <div class="col-md-12">
                            <div id="printableArea" class="table-responsive mb-0" data-pattern="priority-columns">
                                <table class="table table-bordered nowrap"
                                    style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                    <thead>
                                        <tr>
                                            <th>Particulars</th>
                                            <th>Amounts</th>
                                            <th></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                            <tr class="td-drak-bg">
                                                <td colspan="3"><strong>Trading Account :</strong></td>
                                            </tr>

                                            <tr class="detailsView">
                                                <td>Sales</td>
                                                <td>
                                                    {{ number_format($AllSaleTotals, session('branch')->currency_decimal) }}
                                                </td>
                                                <td></td>

                                            </tr>
                                            <tr>
                                                <td><strong>Sales Accounts</strong></td>
                                                <td></td>
                                                <td>
                                                    <strong>{{ number_format($AllSaleTotals, session('branch')->currency_decimal) }}</strong>
                                                </td>
                                            </tr>

                                                @if ($allOpeningStock)
                                                    <tr>
                                                        <td>Opening Stock</td>
                                                        <td>{{ number_format($allOpeningStock, session('branch')->currency_decimal) }}</td>
                                                        <td></td>
                                                    </tr>
                                                @endif
                                                <tr>
                                                <td>(+) Purchase Accounts</td>
                                                <td>
                                                <strong>{{ number_format($AllPurchaesTotals, session('branch')->currency_decimal) }}</strong>
                                                </td>
                                                <td></td>
                                                </tr>
                                                <tr>

                                                @if ($allClosingStock)
                                                    <tr>
                                                        <td>(-) Closing Stock</td>
                                                        <td>{{ number_format($allClosingStock, session('branch')->currency_decimal) }}</td>
                                                        <td></td>
                                                    </tr>
                                                @endif
                                                @php

                                                    $costOfSales = ($allOpeningStock + $AllPurchaesTotals) - $allClosingStock;

                                                    $GrossAmount = $AllSaleTotals - $costOfSales;

                                                @endphp
                                                <tr>
                                                    <td colspan="2"><strong>Cost of Sales :</strong></td>
                                                    <td><strong>{{ ($costOfSales < 0) ? '(-)' : '' }}{{ number_format(abs($costOfSales), session('branch')->currency_decimal) }}</strong></td>
                                                </tr>
                                                <tr>
                                                <tr>
                                                    <td colspan="2"><strong class="{{ ($GrossAmount < 0) ? 'text-danger' : '' }}">{{ ($GrossAmount >= 0) ? 'Gross Profit' : 'Gross Loss' }} :</strong></td>
                                                    <td><strong class="{{ ($GrossAmount < 0) ? 'text-danger' : '' }}">{{ ($GrossAmount < 0) ? '(-)' : '' }}{{ number_format(abs($GrossAmount), session('branch')->currency_decimal) }}</strong></td>
                                                </tr>
                                                </tr>


                                                <tr class="td-drak-bg">
                                                    <td colspan="3"><strong><span>Income Statement :</span></strong></td>
                                                </tr>

                                                @php
                                                    $incomeTotalCB = 0;
                                                @endphp
                                                @foreach ($incomeTotalClosingBalance as $accountName => $closingBalance)
                                                    <tr class="detailsView">
                                                        <td>{{ $accountName }}</td>
                                                        <td>{{ number_format(abs($closingBalance), session('branch')->currency_decimal) }}</td>
                                                        <td></td>
                                                    </tr>
                                                    @php
                                                        $incomeTotalCB += -$closingBalance;
                                                    @endphp
                                                @endforeach
                                                <tr class="td-drak-bg">
                                                    <td colspan="2"><strong>Income</strong></td>
                                                    <td><strong>{{ number_format(abs($incomeTotalCB), session('branch')->currency_decimal) }}</strong></td>
                                                </tr>
                                                @php
                                                    $GrossPlusIncom = $GrossAmount + $incomeTotalCB
                                                @endphp
                                                <tr>
                                                    <td colspan="2"></td>
                                                    <td><strong>{{ number_format(abs($GrossPlusIncom), session('branch')->currency_decimal) }}</strong></td>
                                                </tr>
                                                @php
                                                    $expenseTotalCB = 0;
                                                @endphp
                                                @foreach ($expenseTotalClosingBalance as $accountName => $closingBalance)
                                                    <tr class="detailsView">
                                                        <td>{{ $accountName }}</td>
                                                        <td>{{ number_format($closingBalance, session('branch')->currency_decimal) }}</td>
                                                        <td></td>
                                                    </tr>
                                                    @php
                                                        $expenseTotalCB += $closingBalance;
                                                    @endphp
                                                @endforeach


                                                <tr class="td-drak-light">
                                                    <td><strong>Expenses</strong></td>
                                                    <td></td>
                                                    <td><strong>{{ number_format($expenseTotalCB, session('branch')->currency_decimal) }}</strong></td>
                                                </tr>
                                            @php
                                                $totalExpense = 0;
                                            @endphp
                                            @php
                                                $netProfit = $GrossPlusIncom - $expenseTotalCB;
                                            @endphp

                                             {{-- <tr>
                                                <td colspan="2"><strong>Expenses</strong></td>
                                                <td>
                                                    @if ($totalExpense)
                                                        <strong>{{ ($totalExpense < 0) ? '(-)' : '' }}{{ number_format(abs($totalExpense), session('branch')->currency_decimal) }}</strong></td>
                                                    @endif
                                            </tr> --}}
                                            <tr>
                                                <td colspan="2"><strong class="{{ ($netProfit < 0) ? 'text-danger' : '' }}">{{ ($netProfit >= 0) ? 'Net Profit' : 'Net Loss' }} :</strong></td>
                                                <td><strong class="{{ ($netProfit < 0) ? 'text-danger' : '' }}">{{ ($netProfit < 0) ? '(-)' : '' }}{{ number_format(abs($netProfit), session('branch')->currency_decimal) }}</strong></td>
                                            </tr>
                                            {{-- <tr>
                                                <td colspan="2"><strong class="{{ ($netProfit < 0) ? 'text-danger' : '' }}">{{ ($netProfit >= 0) ? 'Net Profit' : 'Net Loss' }} :</strong></td>
                                                <td><strong class="{{ ($netProfit < 0) ? 'text-danger' : '' }}">{{ number_format(abs($netProfit), session('branch')->currency_decimal) }}</strong></td>
                                            </tr> --}}
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </div>
