<?php

namespace App\Http\Middleware;

use Closure;

class AdminMiddleware
{
    public function handle($request, Closure $next)
    {
        if ($request->user() && ($request->user()->role === 'admin'||$request->user()->role === 'subadmin')) {
            return $next($request);
        }

        return abort(403, 'Unauthorized.');
    }
}
