@extends('layouts.crusher')
@section('content')

        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-body">
                        <div class="row">
                            <div class="col-md-6">
                                <h6 class="card-title mb-4 titlcust">Group Summary Report
                                </h6>
                            </div>
                        </div>
                        <!-- <div class="col-4"> -->

                        <br><br><br>
                        <div class="row">
                            {{-- <div class="col-md-6">
                            </div> --}}
                            <div class="col-md-6">
                                <h6 class="">Date: <span>{{ $from_date }}</span> To <span>{{ $to_date }}</span></h6>
                            </div>
                            <div class="col-md-6">
                                <div class="btn-group float-right" role="group" aria-label="Basic example">
                                    <a href="" type="button" class="btn btn-outline-primary"><i
                                            class="fas fa-mail-bulk"></i> Email (PDF Formate)</a>
                                    <a onclick="printPageArea('printableArea')" class="btn btn-outline-primary"> Print & PDF
                                        Formate</a>
                                </div>
                                <!-- <a href="client-add-expenses.html">
                                    <button class="btn btn-cust2 float-right" type="submit">
                                        <i class="fas fa-mail-bulk"></i>Email (PDF Formate)
                                        </button>
                                </a>
                                <a href=""><button type="button" class="btn btn-cust2 float-right waves-effect waves-light">
                                     <i class="fas fa-print">Print </i> & <i class="fas fa-file-pdf">PDF Formate</i>
                                </button></a> -->
                            </div>
                        </div>
                        <br>

                        <div id="printableArea" class="table-responsive mb-0" data-pattern="priority-columns">
                            <table class="table table-bordered dt-responsive nowrap"
                                style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                                <thead>
                                    <tr>
                                        <th>Particulars</th>
                                        <th>Debit</th>
                                        <th>Credit</th>
                                    </tr>
                                </thead>

                                <tbody>
                                    {{-- <tr>
                                        <td>Opening balance#</td>
                                        <td>Debit</td>
                                        <td>Credit</td>
                                    </tr> --}}
                                    @foreach ($saleInvoices as $invoice)
                                        <tr>
                                            {{-- <td>Sales# {{ $invoice['invoice_no'] }}</td> --}}
                                            <td><strong><a
                                                href="{{ route('crusher.admin_sales_invoice.show', ['admin_sales_invoice' => $invoice['id']]) }}">Sales#
                                                {{ $invoice['invoice_no'] }}</a></strong></td>

                                            <td>{{ $invoice['total_net_amount'] }}</td>
                                            <td>0.00</td>
                                        </tr>
                                    @endforeach
                                    @foreach ($PurchaesInvoice as $invoice)
                                        <tr>
                                            {{-- <td>Purchase# {{ $invoice['invoice_no'] }}</td> --}}
                                            <td><strong><a
                                                href="{{ route('crusher.purchase_invoices.show', ['purchase_invoice' => $invoice['id']]) }}">Puchase#
                                                {{  $invoice['invoice_no'] }}</a></strong></td>
                                            <td>0.00</td>
                                            <td>{{ $invoice['total_net_amount'] }}</td>
                                        </tr>
                                    @endforeach
                                    @foreach ($JournalVoucher as $invoice)
                                        <tr>
                                            {{-- <td>Journal# {{ $invoice['invoice_no'] }}</td> --}}
                                            <td><strong><a
                                                href="{{ route('crusher.journal_vouchers.show', ['journal_voucher' => $invoice['id']]) }}"></a>Journal#
                                            {{ $invoice['invoice_no'] }}</strong></td>
                                            <td>0.00</td>
                                            <td>{{ $invoice['total_net_amount'] }}</td>
                                        </tr>
                                    @endforeach
                                    @foreach ($ReceiptVoucher as $invoice)
                                        <tr>
                                            <td><strong> <a
                                                href="{{ route('crusher.receipt_vouchers.show', ['receipt_voucher' => $invoice['id']]) }}">Receipt#
                                                {{ $invoice['invoice_no'] }}</a></strong></td>
                                            <td>{{ $invoice['amount'] }}</td>
                                            <td>0.00</td>
                                        </tr>
                                    @endforeach
                                    @foreach ($PaymentVoucher as $invoice)
                                        <tr>
                                            <td><strong> <a
                                                href="{{ route('crusher.payment_vouchers.show', ['payment_voucher' => $invoice['id']]) }}">Payment#
                                                {{ $invoice['invoice_no'] }}</a></strong></td>
                                            <td>0.00</td>
                                            <td>{{ $invoice['amount'] }}</td>
                                        </tr>
                                    @endforeach
                                    @foreach ($CreditNote as $invoice)
                                        <tr>
                                            {{-- <td>CreditNote# {{ $invoice['invoice_no'] }}</td> --}}
                                            <td><strong> <a
                                                href="{{ route('crusher.credit_notes.show', ['credit_note' => $invoice['id']]) }}">Credit#
                                                {{ $invoice['invoice_no'] }}</a></strong></td>
                                            <td>{{ $invoice['total_net_amount'] }}</td>
                                            <td>0.00</td>
                                        </tr>
                                    @endforeach
                                    @foreach ($DebitNote as $invoice)
                                        <tr>
                                            {{-- <td>Debit Note# {{ $invoice['invoice_no'] }}</td> --}}
                                            <td><strong> <a
                                                href="{{ route('crusher.debit_notes.show', ['debit_note' => $invoice['id']]) }}">Debit#
                                                {{ $invoice['invoice_no'] }}</a></strong></td>
                                            <td>{{ $invoice['total_net_amount'] }}</td>
                                            <td>0.00</td>
                                        </tr>
                                    @endforeach
                                    @foreach ($PurchaseOrder as $invoice)
                                        <tr>
                                            {{-- <td>Purchase Order# {{ $invoice['invoice_no'] }}</td> --}}
                                            <td><strong> <a
                                                href="{{ route('crusher.purchase_orders.show', ['purchase_order' => $invoice['id']]) }}">PurchaseOrder#
                                                {{ $invoice['invoice_no'] }}</a></strong></td>
                                            <td>{{ $invoice['total_net_amount'] }}</td>
                                            <td>0.00</td>
                                        </tr>
                                    @endforeach
                                    @foreach ($Quotation as $invoice)
                                        <tr>
                                            {{-- <td>Quotation# {{ $invoice['quotation_no'] }}</td> --}}
                                            <td><strong><a
                                                href="{{ route('crusher.quotations.show', ['quotation' => $invoice['id']]) }}">Quotation#
                                                {{ $invoice['quotation_no'] }}</a></strong></td>
                                            <td>{{ $invoice['total_net_amount'] }}</td>
                                            <td>0.00</td>
                                        </tr>
                                    @endforeach

                                </tbody>
                            </table>

                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>
    <!-- end row -->
@endsection
