@extends('layouts.master_user')
@section('page-title')
Customer Master
@endsection
@section('css')
<style>
    .top {
        margin-top: 22px;
    }
</style>

@endsection
@section('master')
active
@endsection
@section('account_master')
active
@endsection
@section('customers')
active
@endsection
@section('content')
{{--
@section('page-breadcrumb')
<li>
    <a href="{{url('/')}}">Dashboard</a>
</li>
<li class="active">
    <strong>Customer Master</strong>
</li>
@endsection--}}

<div class="wrapper wrapper-content animated fadeInRight">
    <div class="ibox float-e-margins">
        {{-- <div class="ibox-title">
            <h5>Add Customers</h5>
            <div class="ibox-tools">
                <a class="collapse-link">
                    <i class="fa fa-chevron-up"></i>
                </a>
            </div>
        </div> --}}
        @include('errors.list')
        <div class="ibox-content">
            <form class="form-horizontal" method="POST" id="create_form" action="/masters/account-masters/customers" enctype="multipart/form-data">
                @csrf
                <div class="form-group">
                    <div class="col-sm-6">
                        <label>Transactions Password </label>
                        <input type="password" class="form-control" id="transactions_password" name="transactions_password" placeholder="Transactions Password">
                    </div>
                    <div class="col-sm-3">
                        <label>Account Opening Balance</label>
                        <input type="text" class="form-control" id="opening_balance" name="opening_balance" placeholder="Account Opening Balance">
                    </div>
                    <div class="col-sm-3">
                        <label>Debit/Credit</label>
                        <select name="debit_credit" id="debit_credit" class="form-control">
                            <option value="">Select Debit/Credit...</option>
                            <option value="debit">Debit</option>
                            <option value="credit">credit</option>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-6">
                        <label>Reports Password </label>
                        <input type="password" class="form-control" id="report_password" name="report_password" placeholder="Reports Password">
                    </div>
                    <div class="col-sm-6">
                        <label for="">Date*</label>
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                                class="form-control" id="date" name="date" value="" required>
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-12">
                        <label>Account Name*</label>
                        <input type="text" class="form-control" name="name_of_organisation" id="name_of_organisation" placeholder="Account Name" required>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-6">
                        <label>Commercial Registration # *</label>
                        <input type="text" class="form-control" name="commerical_registration_number" id="commerical_registration_number" placeholder="Commerical Registraion #" required>
                    </div>
                    <div class="col-sm-6">
                        <label>Contact Person Name*</label>
                        <input type="text" class="form-control" name="contact_person_name" id="contact_person_name" placeholder="Contact Person Name" required>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-6">
                        <label>Office Phone # *</label>
                        <input type="text" class="form-control" name="office_phone" id="office_phone" placeholder="Office Phone #" required>
                    </div>
                    <div class="col-sm-6">
                        <label>Mobile # *</label>
                        <input type="text" class="form-control" name="mobile" id="mobile" placeholder="Mobile #" required>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-6">
                        <label>WhatsApp #</label>
                        <input type="text" class="form-control" name="whatsapp" id="whatsapp" placeholder="WhatsApp">
                    </div>
                    <div class="col-sm-6">
                        <label>Email*</label>
                        <input type="text" class="form-control" name="email" id="email" placeholder="Email" required>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-sm-6">
                        <label class="full-width">Country*</label>
                        <select class="form-control" id="country" name="country_id" required>
                            <option value="">Select Country</option>
                            @foreach ($all_countries as $country)
                                <option value="{{$country-> id}}">{{$country-> name}}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="col-sm-6">
                        <label>City*</label>
                        <input type="text" class="form-control" name="city" id="city" placeholder="City" required>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-lg-12">
                        <label>Address*</label>
                        <textarea name="address" class="form-control" id="address" cols="30"rows="3" placeholder="Address" required></textarea>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-6">
                        <label>Class of Account*</label>
                        <select class="form-control" name="class_of_account_id" required>
                            <option value="">Select Class of Account..</option>
                            @foreach ($class_of_accounts as $class)
                                <option value="{{$class->id}}">{{$class->name}}</option>
                            @endforeach
                        </select>
                    </div>
                    <div class="col-sm-6">
                        <label>Show User*</label>

                        <select class="form-control selectpicker" id="show_user" name="show_user[]"  data-show-subtext="true" data-actions-box="true" multiple data-live-search="true">
                            @foreach ($users as $user)
                                <option value="{{$user->users['id']}}">{{$user->users['email']}}</option>
                            @endforeach
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-6">
                        <label for="maintaina_account">Maintain Account</label>
                        <select name="maintain_account" id="maintain_account" class="form-control" required>
                            <option value="billwise">BillWise</option>
                            <option value="on_account">On Account</option>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-4">
                        <label>VAT Number</label>
                        <input type="text" class="form-control" name="vat_number" id="vat_number" placeholder="VAT Number">
                    </div>

                    <div class="col-sm-4">
                        <label>TRN Number</label>
                        <input type="text" class="form-control" name="trn_number" id="trn_number" placeholder="TRN Number">
                    </div>

                    <div class="col-sm-4">
                        <label>TIN Number</label>
                        <input type="text" class="form-control" name="tin_number" id="tin_number" placeholder="TIN Number">
                    </div>
                </div>
                <div class="hr-line-dashed"></div>
                <div>
                    <h3>Upload Documents</h3>
                </div>
                <div class="hr-line-dashed"></div>
                <div class="form-group">
                    <div class="col-sm-4">
                        <input type="text" name="doc_name_1" id="doc_name_1" placeholder="Enter Name" class="form-control">
                    </div>
                    <div class="col-sm-4">
                        <input type="file" name="doc_file_1" id="doc_file_1" class="form-control">
                    </div>
                    <div class="col-sm-4">
                        {{-- <input type="text" class="form-control" name="cr_paper_date" id="cr_paper_date" placeholder="dd--mm-yyyy"> --}}
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                                class="form-control" id="doc_expiry_1" name="doc_expiry_1" value="" >
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-4">
                        <input type="text" name="doc_name_2" id="doc_name_2" placeholder="Enter Name" class="form-control">
                    </div>
                    <div class="col-sm-4">
                        <input type="file" name="doc_file_2" id="doc_file_2" class="form-control">
                    </div>
                    <div class="col-sm-4">
                        {{-- <input type="text" class="form-control" name="cr_paper_date" id="cr_paper_date" placeholder="dd--mm-yyyy"> --}}
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                                class="form-control" id="doc_expiry_2" name="doc_expiry_2" value="">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-4">
                        <input type="text" name="doc_name_3" id="doc_name_3" placeholder="Enter Name" class="form-control">
                    </div>
                    <div class="col-sm-4">
                        <input type="file" name="doc_file_3" id="doc_file_3" class="form-control">
                    </div>
                    <div class="col-sm-4">
                        {{-- <input type="text" class="form-control" name="cr_paper_date" id="cr_paper_date" placeholder="dd--mm-yyyy"> --}}
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                                class="form-control" id="doc_expiry_3" name="doc_expiry_3" value="">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-4">
                        <input type="text" name="doc_name_4" id="doc_name_4" placeholder="Enter Name" class="form-control">
                    </div>
                    <div class="col-sm-4">
                        <input type="file" name="doc_file_4" id="doc_file_4" class="form-control">
                    </div>
                    <div class="col-sm-4">
                        {{-- <input type="text" class="form-control" name="cr_paper_date" id="cr_paper_date" placeholder="dd--mm-yyyy"> --}}
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                                class="form-control" id="doc_expiry_4" name="doc_expiry_4" value="">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-4">
                        <input type="text" name="doc_name_5" id="doc_name_5" placeholder="Enter Name" class="form-control">
                    </div>
                    <div class="col-sm-4">
                        <input type="file" name="doc_file_5" id="doc_file_5" class="form-control">
                    </div>
                    <div class="col-sm-4">
                        {{-- <input type="text" class="form-control" name="cr_paper_date" id="cr_paper_date" placeholder="dd--mm-yyyy"> --}}
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                                class="form-control" id="doc_expiry_5" name="doc_expiry_5" value="">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-4">
                        <input type="text" name="doc_name_6" id="doc_name_6" placeholder="Enter Name" class="form-control">
                    </div>
                    <div class="col-sm-4">
                        <input type="file" name="doc_file_6" id="doc_file_6"class="form-control">
                    </div>
                    <div class="col-sm-4">
                        {{-- <input type="text" class="form-control" name="cr_paper_date" id="cr_paper_date" placeholder="dd--mm-yyyy"> --}}
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                                class="form-control" id="doc_expiry_6" name="doc_expiry_6" value="">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-4">
                        <input type="text" name="doc_name_7" id="doc_name_7" placeholder="Enter Name" class="form-control">
                    </div>
                    <div class="col-sm-4">
                        <input type="file" name="doc_file_7" id="doc_file_7" class="form-control">
                    </div>
                    <div class="col-sm-4">
                        {{-- <input type="text" class="form-control" name="cr_paper_date" id="cr_paper_date" placeholder="dd--mm-yyyy"> --}}
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                                class="form-control" id="doc_expiry_7" name="doc_expiry_7" value="">
                        </div>
                    </div>
                </div>
                <div class="hr-line-dashed"></div>
                <div>
                    <h3>Authorised Sign 1</h3>
                </div>
                <div class="form-group">
                    <div class="col-sm-4">
                        <label>Name</label>
                        <input type="text" class="form-control" name="authorised_sign_1_name" id="authorised_sign_1_name" placeholder="First Name">
                    </div>
                    <div class="col-sm-4">
                        <label>Civil Id#</label>
                        <input type="text" class="form-control" name="authorised_sign_1_civil_id" id="authorised_sign_1_civil_id" placeholder="Civil Id #">
                    </div>
                    <div class="col-sm-4">
                        <label>Expiry Date of Civil ID#</label>
                        {{-- <input type="text" class="form-control" name="f_name" id="fname_" placeholder="Date"> --}}
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                                class="form-control" name="authorised_sign_1_expiry_date" id="authorised_sign_1_expiry_date" value="">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-4">
                        <label class="mt-20"">Signature Sample</label>
                        <input type="file" class="form-control" name="authorised_sign_1_sign_sample" id="authorised_sign_1_sign_sample" placeholder="JPEG Format">
                    </div>
                    <div class="col-sm-4">
                        <label for="">Phone</label>
                        <input type="text" class="form-control" name="authorised_sign_1_phone" id="authorised_sign_1_phone" placeholder="Phone">
                    </div>
                </div>
                <div class="hr-line-dashed"></div>
                <div>
                    <h3>Authorised Sign 2</h3>
                </div>
                <div class="form-group">
                    <div class="col-sm-4">
                        <label>Name</label>
                        <input type="text" class="form-control" name="authorised_sign_2_name" id="authorised_sign_2_name" placeholder="First Name">
                    </div>
                    <div class="col-sm-4">
                        <label>Civil Id#</label>
                        <input type="text" class="form-control" name="authorised_sign_2_civil_id" id="authorised_sign_2_civil_id" placeholder="Civil Id #">
                    </div>
                    <div class="col-sm-4">
                        <label>Expiry Date of Civil ID#</label>
                        {{-- <input type="text" class="form-control" name="f_name" id="fname_" placeholder="Date"> --}}
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                                class="form-control" name="authorised_sign_2_expiry_date" id="authorised_sign_2_expiry_date" value="">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-4">
                        <label class="mt-20"">Signature Sample</label>
                        <input type="file" class="form-control" name="authorised_sign_2_sign_sample" id="auth_sign_sample_is_2" placeholder="JPEG Format">
                    </div>
                    <div class="col-sm-4">
                        <label for="">Phone</label>
                        <input type="text" class="form-control" name="authorised_sign_2_phone" id="authorised_sign_2_phone" placeholder="Phone">
                    </div>
                </div>
                <div class="hr-line-dashed"></div>
                <div>
                    <h3>Authorised Sign 3</h3>
                </div>
                <div class="form-group">
                    <div class="col-sm-4">
                        <label>Name</label>
                        <input type="text" class="form-control" name="authorised_sign_3_name" id="authorised_sign_3_name" placeholder="First Name">
                    </div>
                    <div class="col-sm-4">
                        <label>Civil Id#</label>
                        <input type="text" class="form-control" name="authorised_sign_3_civil_id" id="authorised_sign_3_civil_id" placeholder="Civil Id #">
                    </div>
                    <div class="col-sm-4">
                        <label>Expiry Date of Civil ID#</label>
                        {{-- <input type="text" class="form-control" name="f_name" id="fname_" placeholder="Date"> --}}
                        <div class="input-group date">
                            <span class="input-group-addon"><i class="fa fa-calendar"></i></span><input type="text"
                                class="form-control" name="authorised_sign_3_expiry_date" id="authorised_sign_3_expiry_date" value="">
                        </div>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-4">
                        <label class="mt-20">Signature Sample</label>
                        <input type="file" class="form-control" name="authorised_sign_3_sign_sample" id="authorised_sign_3_sign_sample" placeholder="JPEG Format">
                    </div>
                    <div class="col-sm-4">
                        <label>Phone</label>
                        <input type="text" class="form-control" name="authorised_sign_3_phone" id="authorised_sign_3_phone" placeholder="Phone">
                    </div>
                </div>
                <div class="hr-line-dashed"></div>
                <div class="form-group">
                    <div class="col-sm-12">
                        <label for="Description">Description</label>
                        <textarea name="description" class="form-control" id="description" cols="30" rows="5" placeholder="Description"></textarea>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-12">
                        <button class="btn btn-primary pull-right" type="submit">Add Customer</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
@endsection

@section('js')
<script>
    $('#create_form').validate(
        {ignore : ":hidden:not(.selectpicker)"  }
    );



    var opening_balance = $('#opening_balance');
    var select = $('#debit_credit');

    var addOrRemoveRequiredAttribute = function () {
        if (opening_balance.val().length) {
            select.attr('required', true);
        }else {
            select.attr('required', false);
        }
    };
    addOrRemoveRequiredAttribute();
    opening_balance.on('change', addOrRemoveRequiredAttribute);

    $(document).ready(function() {
        $('.input-group.date').datepicker({
            startView: 1,
            todayBtn: "linked",
            keyboardNavigation: false,
            forceParse: false,
            autoclose: true,
            format: "yyyy-mm-dd"
        }).datepicker('setDate',new Date());
    });

    $('#country').select2();
</script>
@endsection
