@extends('layouts.master_user_without_nav')
@section('css')
<style>
    .margin_top{
        margin-top: 50px;
    }
    h2{
        margin-bottom: 20px;
    }

</style>
@endsection
@section('content')
<div class="middle-box text-center animated fadeInDown">
    @include('errors.list')
        <div class="row gray-bg">
            <h2><strong>Select Country & Location </strong></h2>
        </div>
        <form class="margin_top" method="POST" action="/select-country-and-location">
            @csrf
            <div class="form-group">
                <label for="country">Select Country</label>
                <select class="form-control" name="country" required>
                    <option value="">Select Country</option>
                    @foreach ($countries as $country)
                        <option value="{{$country-> id}}">{{$country-> name}}</option>
                    @endforeach
                </select>
            </div>
            <input type="hidden" name="permission_option" id="permission_option" value="{{$permission_option}}">
            <div class="form-group">
                <label for="location">Select Location</label>
               <select name="location" id="location" class="form-control" required>
               </select>
            </div>
            {{-- <div class="form-group">
                <label for="year">Select Year...</label>
                <select class="form-control" name="year" required>
                    <option value="2020">2020</option>
                    <option value="2021">2021</option>
                </select>
            </div> --}}
            <button type="submit" class="btn btn-primary block full-width m-b">Continue</button>
        </form>
</div>
@endsection

@section('js')
<script>
</script>
@endsection
