<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\OtherAccount;

class OtherAccountMasterController extends Controller
{
    public function index()
    {
        return view('crusher.otheraccount_master.index');
    }

    public function create()
    {
        return view('crusher.otheraccount_master.create');
    }

    public function edit($id)
    {
        $data = OtherAccount::findOrFail($id);
        return view('crusher.otheraccount_master.edit', compact('data'));
    }

    public function update(Request $request, $id)
{
        $data = $request->all();
        unset($data['_token']);
        OtherAccount::whereId($id)->update($data);

        return redirect('/master/otheraccount_master/index');
}

    public function view()
    {
        return view('crusher.otheraccount_master.view');
    }
    public function insert(Request $request)
    {
        $data = $request->all();
        OtherAccount::create($data);
        return redirect('master/otheraccount_master/index');
    }
}
