@extends('layouts.superadmin')
@section('content')
<!-- Include Select2 CSS -->
<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/css/select2.min.css" rel="stylesheet">

<!-- Include jQuery (required for Select2) -->
<script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>

<!-- Include Select2 JS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.13/js/select2.min.js"></script>

<div class="page-content">

    <!-- start page title -->
    <div class="row">
        <div class="col-12">
            <div class="page-title-box d-flex align-items-center justify-content-between">
                <h4 class="page-title mb-0 font-size-18">Dashboard</h4>

                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <h4 class="page-title mb-0 font-size-18">Powered By ACP</h4>
                    </ol>
                </div>

            </div>
        </div>
    </div>
    <!-- end page title -->
    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Edit Features</h6>
                        </div>
                        <div class="col-md-6">
                            <a href="{{url('testimonials-index')}}">
                                <button class="btn btn-primary float-right" type="submit">View All Features</button>
                            </a>
                        </div>
                    </div>
                    <form action="{{url("features/update/$Features->id")}}" method="POST" class="outer-repeater">
                        @csrf
                        <div class="row">
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Heading</label>
                                    <input class="form-control" type="text" name="heading" value="{{$Features->heading}}"
                                        placeholder="Enter heading" id="example-password-input">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Description</label>
                                    <input class="form-control" type="text" name="description" value="{{$Features->description}}"
                                        placeholder="Enter description" id="example-password-input">
                                </div>
                            </div>
                            <div class="col-md-4">
                                <div class="form-group">
                                    <label>Row</label>
                                    <select class="form-control" name="line">
                                        <option value="">Select Row</option>
                                        <option value="1" {{ $Features->row == 1 ? 'selected' : '' }}>Row 1</option>
                                        <option value="2" {{ $Features->row == 2 ? 'selected' : '' }}>Row 2</option>
                                    </select>
                                </div>
                            </div>

                        </div>
                        <button class="btn btn-cust1 float-right" type="submit">Submit</button>
                    </form>

                </div>
            </div>
        </div>
    </div>
</div>

@endsection
