<!doctype html>
<html lang="en">

<head>
    <meta charset="utf-8" />
    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta content="Premium Multipurpose Admin & Dashboard Template" name="description" />
    <meta content="Themesbrand" name="author" />
    <!-- App favicon -->
    <link rel="shortcut icon" href="assets/images/favicon.ico">
    <!-- jquery.vectormap css -->
    <link href="<?php echo e(asset('assets/libs/admin-resources/jquery.vectormap/jquery-jvectormap-1.2.2.css')); ?>"
        rel="stylesheet" type="text/css" />
    <!-- Bootstrap Css -->
    <link href="<?php echo e(asset('assets/css/bootstrap.min.css')); ?>" id="bootstrap-style" rel="stylesheet" type="text/css" />
    <!-- Icons Css -->
    <link href="<?php echo e(asset('assets/css/icons.min.css')); ?>" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('assets/libs/select2/css/select2.min.css')); ?>" rel="stylesheet" type="text/css" />
    <!-- App Css-->
    <link href="<?php echo e(asset('assets/css/app.min.css')); ?>" id="app-style" rel="stylesheet" type="text/css" />
    <link href="<?php echo e(asset('assets/css/custom.css')); ?>" rel="stylesheet" />
    <link rel="stylesheet" href="https://cdn.datatables.net/1.13.6/css/jquery.dataTables.css" />

</head>

<body data-layout="detached" data-topbar="colored">
    <div class="lds-dual-ring">
        <img class="loader-logo" src="<?php echo e(asset('assets/images/ledgematic-blue-logo.svg')); ?>" height="100" width="100" alt="Your Logo">
    </div>
    <div class="containedffgdgfdr-fluid">
        <!-- Begin page -->
        <div id="layout-wrapper">

            <header id="page-topbar">
                <div class="navbar-header">
                    <div class="container-fluid">
                        <div class="float-right">



                            <div class="dropdown d-none d-lg-inline-block ml-1">
                                <button type="button" class="btn header-item noti-icon waves-effect"
                                    data-toggle="fullscreen">
                                    <i class="mdi mdi-fullscreen"></i>
                                </button>
                            </div>

                            <div class="dropdown d-inline-block ">
                                <button type="button" class="btn header-item noti-icon waves-effect"
                                    id="page-header-notifications-dropdown" data-toggle="dropdown" aria-haspopup="true"
                                    aria-expanded="false">
                                    <i class="mdi mdi-bell-outline"></i>
                                    <span class="badge badge-danger badge-pill">3</span>
                                </button>
                                <div class="dropdown-menu dropdown-menu-lg dropdown-menu-right p-0"
                                    aria-labelledby="page-header-notifications-dropdown">
                                    <div class="p-3">
                                        <div class="row align-items-center">
                                            <div class="col">
                                                <h6 class="m-0"> Notifications </h6>
                                            </div>
                                            <div class="col-auto">
                                                <a href="#!" class="small"> View All</a>
                                            </div>
                                        </div>
                                    </div>
                                    <div data-simplebar style="max-height: 230px;">
                                        <a href="" class="text-reset notification-item">
                                            <div class="media">
                                                <div class="avatar-xs mr-3">
                                                    <span class="avatar-title bg-primary rounded-circle font-size-16">
                                                        <i class="bx bx-cart"></i>
                                                    </span>
                                                </div>
                                                <div class="media-body">
                                                    <h6 class="mt-0 mb-1">Your order is placed</h6>
                                                    <div class="font-size-12 text-muted">
                                                        <p class="mb-1">If several languages coalesce the grammar</p>
                                                        <p class="mb-0"><i class="mdi mdi-clock-outline"></i> 3 min
                                                            ago
                                                        </p>
                                                    </div>
                                                </div>
                                            </div>
                                        </a>
                                        <a href="" class="text-reset notification-item">
                                            <div class="media">
                                                <img src="<?php echo e(asset('assets/images/users/avatar-3.jpg')); ?>"
                                                    class="mr-3 rounded-circle avatar-xs" alt="user-pic">
                                                <div class="media-body">
                                                    <h6 class="mt-0 mb-1">James Lemire</h6>
                                                    <div class="font-size-12 text-muted">
                                                        <p class="mb-1">It will seem like simplified English.</p>
                                                        <p class="mb-0"><i class="mdi mdi-clock-outline"></i> 1 hours
                                                            ago</p>
                                                    </div>
                                                </div>
                                            </div>
                                        </a>
                                        <a href="" class="text-reset notification-item">
                                            <div class="media">
                                                <div class="avatar-xs mr-3">
                                                    <span class="avatar-title bg-success rounded-circle font-size-16">
                                                        <i class="bx bx-badge-check"></i>
                                                    </span>
                                                </div>
                                                <div class="media-body">
                                                    <h6 class="mt-0 mb-1">Your item is shipped</h6>
                                                    <div class="font-size-12 text-muted">
                                                        <p class="mb-1">If several languages coalesce the grammar</p>
                                                        <p class="mb-0"><i class="mdi mdi-clock-outline"></i> 3 min
                                                            ago
                                                        </p>
                                                    </div>
                                                </div>
                                            </div>
                                        </a>

                                        <a href="" class="text-reset notification-item">
                                            <div class="media">
                                                <img src="<?php echo e(asset('assets/images/users/avatar-4.jpg')); ?>"
                                                    class="mr-3 rounded-circle avatar-xs" alt="user-pic">
                                                <div class="media-body">
                                                    <h6 class="mt-0 mb-1">Salena Layfield</h6>
                                                    <div class="font-size-12 text-muted">
                                                        <p class="mb-1">As a skeptical Cambridge friend of mine
                                                            occidental.</p>
                                                        <p class="mb-0"><i class="mdi mdi-clock-outline"></i> 1
                                                            hours
                                                            ago</p>
                                                    </div>
                                                </div>
                                            </div>
                                        </a>
                                    </div>
                                    <div class="p-2 border-top">
                                        <a class="btn btn-sm btn-link font-size-14 btn-block text-center"
                                            href="javascript:void(0)">
                                            <i class="mdi mdi-arrow-right-circle mr-1"></i> View More..
                                        </a>
                                    </div>
                                </div>
                            </div>

                            <div class="dropdown d-inline-block">
                                <button type="button" class="btn header-item waves-effect"
                                    id="page-header-user-dropdown" data-toggle="dropdown" aria-haspopup="true"
                                    aria-expanded="false">
                                    <img class="rounded-circle header-profile-user"
                                        src="<?php echo e(asset('assets/images/users/avatar-2.jpg')); ?>" alt="Header Avatar">
                                    <?php
                                        $user = App\User::where('id', session('user_id'))->first();
                                        $uv_user_id = App\User::where('id', session('uv_user_id'))->first();
                                    ?>
                                    <span
                                        class="d-none d-xl-inline-block ml-1"><?php echo e($user->name ?? $uv_user_id->name); ?></span>
                                    <i class="mdi mdi-chevron-down d-none d-xl-inline-block"></i>
                                </button>
                                <div class="dropdown-menu dropdown-menu-right">
                                    <!-- item-->
                                    

                                    <a class="dropdown-item d-block" href="<?php echo e(route('change.password')); ?>">
                                        <!-- <span class="badge badge-success float-right">11</span> -->
                                        <i class="bx bx-wrench font-size-16 align-middle mr-1"></i> Change Password</a>
                                    <!-- <a class="dropdown-item" href="#"><i
                                            class="bx bx-lock-open font-size-16 align-middle mr-1"></i> Lock screen</a> -->
                                    <div class="dropdown-divider"></div>
                                    <a class="dropdown-item text-danger" href="<?php echo e(url('logout')); ?>"><i
                                            class="bx bx-power-off font-size-16 align-middle mr-1 text-danger"></i>
                                        Logout</a>
                                </div>
                            </div>

                            <!-- <div class="dropdown d-inline-block">
                                <button type="button" class="btn header-item noti-icon right-bar-toggle waves-effect">
                                    <i class="mdi mdi-settings-outline"></i>
                                </button>
                            </div> -->

                        </div>
                        <div>
                            <!-- LOGO -->
                            <div class="navbar-brand-box">
                                <!-- <a href="index.html" class="logo logo-dark">
                                    <span class="logo-sm">
                                        <img src="assets/images/ACP white logo.png" alt="" height="50">
                                    </span>
                                    <span class="logo-lg">
                                        <img src="assets/images/ACP white logo.png" alt="" height="50">
                                    </span>
                                </a> -->

                                <!-- <a href="index.html" class="logo logo-light">
                                    <span class="logo-sm">
                                        <img src="assets/images/ACP white logo.png" alt="" height="60">
                                    </span>
                                    <span class="logo-lg">
                                        <img src="assets/images/ACP white logo.png" alt="" height="60">
                                    </span>
                                </a> -->
                            </div>

                            <button type="button"
                                class="btn btn-sm px-3 font-size-16 header-item toggle-btn waves-effect"
                                id="vertical-menu-btn">
                                <i class="fa fa-fw fa-bars"></i>
                            </button>

                            <button id="sidebarToggle" type="button"
                            class="btn btn-sm font-size-16 header-item waves-effect"
                            id="vertical-menu-btn" style="margin-left: 13.5rem;">
                            <i class="fa fa-fw fa-bars"></i>
                        </button>

                        </div>

                    </div>
                </div>
            </header>
            <!-- ========== Left Sidebar Start ========== -->
            <div class="vertical-menu">

                <div class="h-100">

                    <div class="user-wid text-center py-4">
                        <img src="<?php echo e(asset('assets/images/acp-logo.png')); ?>" class="logocust" alt="logo">
                        <div class="user-img">
                            <img src="<?php echo e(asset('assets/images/dp-profational.jpg')); ?>" alt=""
                                class="avatar-md mx-auto rounded-circle">
                        </div>

                        <div class="mt-3">

                            <a href="#" class="text-dark font-weight-medium font-size-16">Lorem ipsum</a>
                            <p class="text-dark mt-1 mb-0 font-size-13">Super Admin</p>

                        </div>
                    </div>

                    <!--- Sidemenu -->
                    <div id="sidebar-menu">
                        <!-- Left Menu Start -->
                        <ul class="metismenu list-unstyled" id="side-menu">
                            <li class="menu-title">Menu</li>

                            <li>
                                <a href="<?php echo e(url('dashboard')); ?>" class="waves-effect">
                                    <i class="mdi mdi-airplay"></i>
                                    <!-- <span
                                        class="badge badge-pill badge-info float-right">0</span> -->
                                    <span>Dashboard</span>
                                </a>
                            </li>

                            <li>
                                <a href="javascript: void(0);" class="has-arrow waves-effect">
                                    <i class="mdi mdi-account-circle-outline"></i>
                                    <span>Client Managment</span>
                                </a>
                                <ul class="sub-menu" aria-expanded="false">
                                    <li> <a href="<?php echo e(url('client')); ?>">Client Master</a> </li>
                                    <li> <a href="<?php echo e(url('company')); ?>">Company Master</a> </li>
                                    <li> <a href="<?php echo e(url('branch')); ?>">Branch Master</a> </li>
                                    <li> <a href="<?php echo e(url('view-client')); ?>">View Client's Users</a> </li>

                                </ul>
                            </li>
                            <li>
                                <a href="javascript: void(0);" class="has-arrow waves-effect">
                                    <i class="mdi mdi-account-circle-outline"></i>
                                    <span>Contact</span>
                                </a>
                                <ul class="sub-menu" aria-expanded="false">
                                    <li> <a href="<?php echo e(url('book-demo')); ?>">Book a demo</a> </li>
                                    <li> <a href="<?php echo e(url('contact-form-index')); ?>">Contact form</a> </li>
                                </ul>
                            </li>

                            <li>
                                <a href="<?php echo e(url('features-index')); ?>" class=" waves-effect">
                                    <i class="mdi mdi-calendar-text"></i>
                                    <span>Features</span>
                                </a>
                            </li>
                            <li>
                                <a href="<?php echo e(url('trusted-logo-index')); ?>" class=" waves-effect">
                                    <i class="mdi mdi-calendar-text"></i>
                                    <span>Trusted Logo</span>
                                </a>
                            </li>
                            <li>
                                <a href="<?php echo e(url('testimonials-index')); ?>" class=" waves-effect">
                                    <i class="mdi mdi-calendar-text"></i>
                                    <span>Testimonials</span>
                                </a>
                            </li>
                            <li>
                                <a href="<?php echo e(url('check_expiry')); ?>" class=" waves-effect">
                                    <i class="mdi mdi-calendar-text"></i>
                                    <span>Check Expiry</span>
                                </a>
                            </li>

                            <li>
                                <a href="<?php echo e(url('marketing')); ?>" class=" waves-effect">
                                    <i class="far fa-dot-circle"></i>
                                    <span>Marketing</span>
                                </a>
                            </li>

                            <li>
                                <a href="<?php echo e(route('cleardata')); ?>" class=" waves-effect">
                                    <i class="far fa-minus-square"></i>
                                    <span>Clear Data</span>
                                </a>
                            </li>

                            <li>
                                <a href="#" class=" waves-effect">
                                    <i class="far fa-comment-dots"></i>
                                    <span>Chats</span>
                                </a>
                            </li>

                            <li>
                                <a href="<?php echo e(url('received/voucher')); ?>" class=" waves-effect">
                                    <i class="far fa-file"></i>
                                    <span>Received Voucher</span>
                                </a>
                            </li>
                            <li>
                                <a href="<?php echo e(route('show.payments')); ?>" class="waves-effect">
                                    <i class="fas fa-dollar-sign"></i>
                                    <span>Payments</span>
                                </a>
                            </li>
                            <li>
                                <a href="<?php echo e(url('termscondition')); ?>" class=" waves-effect">
                                    <i class="far fa-file-alt"></i>
                                    <span>Terms & Conditions</span>
                                </a>
                            </li>
                        </ul>
                    </div>
                    <!-- Sidebar -->
                </div>
            </div>
            <!-- Left Sidebar End -->

            <!-- ============================================================== -->
            <!-- Start right Content here -->
            <!-- ============================================================== -->
            <div class="main-content">

                <?php echo $__env->yieldContent('content'); ?>
                <!-- End Page-content -->

                <footer class="footer">
                    <div class="container-fluid">
                        <div class="row">
                            <div class="col-sm-6">
                                
                            </div>
                            <div class="col-sm-6">
                                <div class="text-sm-right d-none d-sm-block">
                                    
                                </div>
                            </div>
                        </div>
                    </div>
                </footer>
            </div>
            <!-- end main content-->

        </div>
        <!-- END layout-wrapper -->

    </div>
    <!-- end container-fluid -->

    <!-- Right Sidebar -->
    <div class="right-bar">
        <div data-simplebar class="h-100">
            <div class="rightbar-title px-3 py-4">
                <a href="javascript:void(0);" class="right-bar-toggle float-right">
                    <i class="mdi mdi-close noti-icon"></i>
                </a>
                <h5 class="m-0">Settings</h5>
            </div>

            <!-- Settings -->
            <hr class="mt-0" />
            <h6 class="text-center mb-0">Choose Layouts</h6>

            <div class="p-4">
                <div class="mb-2">
                    <img src="assets/images/layouts/layout-1.jpg" class="img-fluid img-thumbnail" alt="">
                </div>
                <div class="custom-control custom-switch mb-3">
                    <input type="checkbox" class="custom-control-input theme-choice" id="light-mode-switch"
                        checked />
                    <label class="custom-control-label" for="light-mode-switch">Light Mode</label>
                </div>

                <div class="mb-2">
                    <img src="assets/images/layouts/layout-2.jpg" class="img-fluid img-thumbnail" alt="">
                </div>
                <div class="custom-control custom-switch mb-3">
                    <input type="checkbox" class="custom-control-input theme-choice" id="dark-mode-switch"
                        data-bsStyle="assets/css/bootstrap-dark.min.css"
                        data-appStyle="assets/css/app-dark.min.css" />
                    <label class="custom-control-label" for="dark-mode-switch">Dark Mode</label>
                </div>

                <div class="mb-2">
                    <img src="assets/images/layouts/layout-3.jpg" class="img-fluid img-thumbnail" alt="">
                </div>
                <div class="custom-control custom-switch mb-5">
                    <input type="checkbox" class="custom-control-input theme-choice" id="rtl-mode-switch"
                        data-appStyle="assets/css/app-rtl.min.css" />
                    <label class="custom-control-label" for="rtl-mode-switch">RTL Mode</label>
                </div>

            </div>

        </div>
        <!-- end slimscroll-menu-->
    </div>
    <!-- /Right-bar -->

    <!-- Right bar overlay-->
    <div class="rightbar-overlay"></div>

    <!-- JAVASCRIPT -->
    <script src="<?php echo e(asset('assets/libs/jquery/jquery.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/libs/bootstrap/js/bootstrap.bundle.min.js')); ?>"></script>
    
    <script src="<?php echo e(asset('assets/libs/simplebar/simplebar.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/libs/node-waves/waves.min.js')); ?>"></script>

    <!-- apexcharts -->
    <script src="<?php echo e(asset('assets/libs/apexcharts/apexcharts.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/libs/select2/js/select2.min.js')); ?>"></script>
    <!-- jquery.vectormap map -->
    <script src="<?php echo e(asset('assets/libs/admin-resources/jquery.vectormap/jquery-jvectormap-1.2.2.min.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/libs/admin-resources/jquery.vectormap/maps/jquery-jvectormap-us-merc-en.js')); ?>">
    </script>

    <script src="<?php echo e(asset('assets/js/pages/dashboard.init.js')); ?>"></script>

    <script src="<?php echo e(asset('assets/js/app.js')); ?>"></script>
    <script src="<?php echo e(asset('assets/js/pages/form-advanced.init.js')); ?>"></script>

    <script src="https://cdn.datatables.net/1.13.6/js/jquery.dataTables.js"></script>

    <script>
        $(document).ready(function() {
            $("#datatable").each(function() {
                // Calculate the number of columns in the current table
                var numColumns = $(this).find("thead th").length;

                // Initialize DataTable with descending order on all columns
                $(this).DataTable({
                    "order": Array(numColumns).fill([0,
                        "desc"
                    ]) // Create an array for descending order on all columns
                });
            });
        });
    </script>
      <script>
        const body = document.body;
        const sidebarToggle = document.getElementById('sidebarToggle');

        sidebarToggle.addEventListener('click', function () {
            if (body.classList.contains('vertical-collpsed')) {
                body.classList.remove('vertical-collpsed');
                body.removeAttribute('data-keep-enlarged');
                sidebarToggle.style.marginLeft = '13.5rem';
            } else {
                body.classList.add('vertical-collpsed');
                body.setAttribute('data-keep-enlarged', 'true');
                sidebarToggle.style.marginLeft = '2.3rem';
            }
        });
    </script>
      <script>
        // Hide the loader when the entire page (including images and other resources) has loaded
        window.onload = function () {
            // Hide the loader
            $('.lds-dual-ring').fadeOut('slow', function () {
                // You can add additional actions or show your content here
                // For example, show the body content
                $('body').css('visibility', 'visible');
            });
        };
    </script>
<script>
    // Get a reference to the button with the data-toggle attribute
    const fullscreenButton = document.querySelector('[data-toggle="fullscreen"]');

    // Add a click event listener to the button
    fullscreenButton.addEventListener('click', () => {
        toggleFullscreen();
    });

    // Function to toggle fullscreen mode
    function toggleFullscreen() {
        const element = document.documentElement; // Fullscreen the entire document
        if (!document.fullscreenElement && !document.mozFullScreenElement &&
            !document.webkitFullscreenElement && !document.msFullscreenElement) {
            // If not in fullscreen mode, request fullscreen
            if (element.requestFullscreen) {
                element.requestFullscreen();
            } else if (element.msRequestFullscreen) {
                element.msRequestFullscreen();
            } else if (element.mozRequestFullScreen) {
                element.mozRequestFullScreen();
            } else if (element.webkitRequestFullscreen) {
                element.webkitRequestFullscreen(Element.ALLOW_KEYBOARD_INPUT);
            }
        } else {
            // If in fullscreen mode, exit fullscreen
            if (document.exitFullscreen) {
                document.exitFullscreen();
            } else if (document.msExitFullscreen) {
                document.msExitFullscreen();
            } else if (document.mozCancelFullScreen) {
                document.mozCancelFullScreen();
            } else if (document.webkitExitFullscreen) {
                document.webkitExitFullscreen();
            }
        }
    }
</script>

<script>
    document.addEventListener('DOMContentLoaded', function () {
        var today = new Date().toISOString().split('T')[0];
        document.getElementById('fromDate').value = today;
        document.getElementById('toDate').value = today;
    });
</script>

</body>

</html>
<?php /**PATH F:\zampp 2 7.4\htdocs\acpnew-repo\resources\views/layouts/superadmin.blade.php ENDPATH**/ ?>