<?php $__env->startSection('content'); ?>





    <div class="row">
        <div class="col-md-12">
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-6">
                            <h6 class="card-title mb-4 titlcust">Day Book Report</h6>
                        </div>

                    </div>
                    <!-- <div class="col-4"> -->


                    <div class="row">
                        
                        <div class="col-md-6">
                            <h6 class="">Date: <span><?php echo e(date('d/m,Y', strtotime($from_date))); ?>

                            </span> To <span><?php echo e(date('d/m,Y', strtotime($to_date))); ?></span>
                            </h6>
                        </div>
                        <div class="col-md-6">
                            <div class="btn-group float-right" role="group" aria-label="Basic example">
                                <a href="" type="button" class="btn btn-outline-primary"><i
                                        class="fas fa-mail-bulk"></i> Email (PDF Formate)</a>
                                <a  class="btn btn-outline-primary" onclick="printPageArea('printableArea')"> Print & PDF
                                    Formate</a>

                            </div>
                        </div>
                    </div>
                    <br>

                    <div id="printableArea" class="table-responsive mb-0" data-pattern="priority-columns">
                        <table  class="table table-bordered dt-responsive nowrap"
                            style="border-collapse: collapse; border-spacing: 0; width: 100%;">
                            <thead>
                                <tr>
                                    <th>Date</th>
                                    <th>Account Name</th>
                                    <th>Voucher Description</th>
                                    <th>Debit</th>
                                    <th>Credit</th>
                                </tr>
                            </thead>

                            <tbody>
                                <?php
                                    $DebitNoteTotal = 0;
                                    $purchasInvoiceTotal = 0;
                                    $ReceiptVoucherExpenseTotal = 0;
                                    $PaymentVoucherExpenseTotal = 0;
                                    $CreditNoteTotal = 0;
                                    $saleInvoiceTotal = 0;
                                    $debitTotal = 0;
                                    $creditTotal = 0;
                                ?>

                                

                                <?php $__currentLoopData = $allDayBookReportData->sortBy('date'); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <?php if(is_object($data)): ?>
                                <tr>
                                    <td>
                                        <?php if($data instanceof \App\AdminSalesInvoice || $data instanceof \App\CreditNote || $data instanceof \App\AdminPurchaesInvoice ||$data instanceof \App\DebitNote || $data instanceof \App\AdminReceiptVoucher || $data instanceof \App\AdminPaymentVoucher): ?>
                                            <?php echo e($data->date); ?>

                                        
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if($data instanceof \App\AdminSalesInvoice || $data instanceof \App\CreditNote || $data instanceof \App\AdminPurchaesInvoice || $data instanceof \App\DebitNote || $data instanceof \App\AdminReceiptVoucher || $data instanceof \App\AdminPaymentVoucher): ?>
                                            <?php echo e($data->customer->name_of_organisation ??
                                                $data->supplier->name_of_organisation ??
                                                // $data->Expense->account_name ??
                                                $data->AdminOtherAccount->account_name ??
                                                // $data->StaffAndSalesman->first_name . ' ' . $data->StaffAndSalesman->last_name ??
                                                ''); ?>

                                        
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if($data instanceof \App\AdminSalesInvoice): ?>
                                            <span><strong><a href="<?php echo e(route('software.admin_sales_invoice.show', ['admin_sales_invoice' => $data->id])); ?>">Sales#
                                                <?php echo e($data->invoice_no); ?></a></strong></span>
                                        <?php elseif($data instanceof \App\CreditNote): ?>
                                            <span><strong><a href="<?php echo e(route('software.credit_notes.show', ['credit_note' => $data->id])); ?>">Credit Note#
                                                <?php echo e($data->invoice_no); ?></a></strong></span>
                                        <?php elseif($data instanceof \App\AdminPurchaesInvoice): ?>
                                        <span><strong><a href="<?php echo e(route('software.purchase_invoices.show', ['purchase_invoice' => $data->id])); ?>">Purchase#
                                            <?php echo e($data->invoice_no); ?></a></strong></span>
                                        <?php elseif($data instanceof \App\DebitNote): ?>
                                        <span><strong><a href="<?php echo e(route('software.debit_notes.show', ['debit_note' => $data->id])); ?>">Debit Note#
                                            <?php echo e($data->invoice_no); ?></a></strong></span>
                                        <?php elseif($data instanceof \App\AdminReceiptVoucher): ?>
                                        <span><strong><a href="<?php echo e(route('software.receipt_vouchers.show', ['receipt_voucher' => $data->id])); ?>">Receipt#
                                            <?php echo e($data->invoice_no); ?></a></strong></span>
                                        <?php elseif($data instanceof \App\AdminPaymentVoucher): ?>
                                            <span><strong><a href="<?php echo e(route('software.payment_vouchers.show', ['payment_voucher' => $data->id])); ?>">Payment#
                                                <?php echo e($data->invoice_no); ?></a></strong></span>
                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if($data instanceof \App\AdminPurchaesInvoice): ?>
                                            <?php echo e(number_format($data->total_net_amount, session('branch')->currency_decimal)); ?>

                                            <?php
                                                $purchasInvoiceTotal += $data->total_net_amount;
                                            ?>
                                        <?php elseif($data instanceof \App\DebitNote): ?>
                                            <?php echo e(number_format($data->total_net_amount, session('branch')->currency_decimal)); ?>

                                            <?php
                                                $DebitNoteTotal += $data->total_net_amount;
                                            ?>
                                        <?php elseif($data instanceof \App\AdminReceiptVoucher): ?>
                                        <?php if(isset($data->mergedExpenses)): ?>
                                        <?php $__currentLoopData = $data->mergedExpenses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $expense): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <?php echo e(number_format($expense['total_amount'], session('branch')->currency_decimal)); ?>

                                            <?php
                                                $ReceiptVoucherExpenseTotal += $expense['total_amount'];
                                            ?>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php endif; ?>
                                            <?php
                                                $DebitNoteTotal += $data->total_net_amount;
                                            ?>
                                       <?php elseif($data instanceof \App\AdminPaymentVoucher): ?>
                                       <?php if(isset($data->mergedExpenses)): ?>
                                            <?php $__currentLoopData = $data->mergedExpenses; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $expense): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <?php echo e(number_format($expense['total_amount'], session('branch')->currency_decimal)); ?>

                                                <?php
                                                    $PaymentVoucherExpenseTotal += $expense['total_amount'];
                                                ?>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php endif; ?>

                                        <?php endif; ?>
                                    </td>
                                    <td>
                                        <?php if($data instanceof \App\AdminSalesInvoice): ?>
                                            <?php echo e(number_format($data->total_net_amount, session('branch')->currency_decimal)); ?>

                                            <?php
                                                $saleInvoiceTotal += $data->total_net_amount;
                                            ?>
                                        <?php elseif($data instanceof \App\CreditNote): ?>
                                            <?php echo e(number_format($data->total_net_amount, session('branch')->currency_decimal)); ?>

                                            <?php
                                                $CreditNoteTotal += $data->total_net_amount;
                                            ?>
                                        <?php endif; ?>
                                    </td>
                                </tr>
                                <?php endif; ?>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

                                <?php
                                    $debitTotal = $DebitNoteTotal + $purchasInvoiceTotal + $ReceiptVoucherExpenseTotal + $PaymentVoucherExpenseTotal;
                                    $creditTotal = $CreditNoteTotal + $saleInvoiceTotal;
                                ?>

                                <tr>
                                    <td colspan="3"><strong>Total</strong></td>
                                    <td><strong><?php echo e(number_format($debitTotal, session('branch')->currency_decimal)); ?></strong></td>
                                    <td><strong><?php echo e(number_format($creditTotal, session('branch')->currency_decimal)); ?></strong></td>
                                </tr>
                            </tbody>

                        </table>
                    </div>


                </div>
            </div>
        </div>
    </div>
</div>
<!-- end row -->

<script>
    function printPageArea(areaID) {
        var printContent = document.getElementById(areaID).innerHTML;
        var originalContent = document.body.innerHTML;
        document.body.innerHTML = printContent;
        window.print();
        document.body.innerHTML = originalContent;
    }
</script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew-repo\resources\views/crusher/reports/day_book_report.blade.php ENDPATH**/ ?>