<?php $__env->startSection('content'); ?>
    <div class="row">
        <div class="col-md-12">
            <div class="row mt-4 mb-1">
                <div class="col-md-6">
                    <h6 class="card-title mb-4 titlcust">View Journal Voucher</h6>
                </div>
                <div class="col-md-6">
                    <a href="">
                        <button class="btn btn-outline-primary float-right cust-btn1" onclick="printPageArea('printableArea')"
                            type="submit">Print Document
                        </button>
                    </a>
                    <a href="">
                        <button class="btn btn-outline-primary float-right" type="submit">Back
                        </button>
                    </a>
                </div>
            </div>

            <div class="card" id="printableArea">
                <div class="card-body">

                    <h6 class="card-title mb-1 text-center font-size-20">Journal Voucher</h6>
                    <br>


                    <?php if(!empty(($companyLogo = auth()->user()->company_logo))): ?>
                    <div class="col-md-12 d-flex align-items-center justify-content-center">
                        <img src="<?php echo e(asset('storage/app/public/' . $companyLogo)); ?>" class="img-fluid"
                            alt="logo" width="270px">
                        </div>
                    <?php else: ?>
                    <div class="col-md-12 d-flex align-items-center justify-content-center mb-3">
                        <img src="<?php echo e(asset('assets/images/acp-logo.svg')); ?>" class="img-fluid" alt="logo"
                            width="270px">
                    </div>
                    <?php endif; ?>

                    <div class="row">
                        <div class="col-md-9 pt-2" style="border-top: solid;border-bottom: solid;border-left: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company Name: </strong> <?php echo e($company->name); ?></p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Branch Name: </strong> <?php echo e(session()->get('branch')->name); ?></p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Branch Address</strong> <?php echo e(session()->get('branch')->address); ?></p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company Country</strong> <?php echo e($company->country); ?></p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company CR Number</strong> <?php echo e($company->cr_number); ?></p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><strong>Company VAT Number</strong> <?php echo e($company->vat_number); ?></p>
                        </div>
                        <div class="col-md-3 pt-2" style="border-top: solid;border-right: solid;border-left: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Date : </strong> <?php echo e($journalVoucher[0]->date); ?></p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Journal Voucher # : </strong> <?php echo e($journalVoucher[0]->invoice_no); ?></p>
                            
                            
                            
                            
                        </div>
                        <div class="col-md-12" style="border-left: solid;border-right: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>Client; </strong> </p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>Account Name : </strong> <?php echo e($journalVoucher[0]->account->name_of_organisation ?? ($journalVoucher[0]->account->account_name ?? $journalVoucher[0]->account->first_name . ' ' . $journalVoucher[0]->account->last_name)); ?></p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>Email :</strong> <?php echo e($journalVoucher[0]->account->email ?? 'No Record Found'); ?></p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>Contact Person Name : </strong><?php echo e($journalVoucher[0]->account->contact_person_name ?? 'No Record Found'); ?></p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>Contact Number : </strong><?php echo e($journalVoucher[0]->account->mobile ?? 'No Record Found'); ?></p>
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0;"><strong>VAT Number : </strong><?php echo e($journalVoucher[0]->account->vat_number ?? 'No Record Found'); ?></p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="table-responsive mb-0 pb-0" >
                            <table class="table table-striped table-bordered dt-responsive nowrap mb-0" style="border-bottom: solid;border-left: solid;border-right: solid;border-left: solid;border-color: black;padding: 0;">
                                <thead >
                                    <tr style="background-color: black;color:white;border-color: black">
                                        <th style="border: none">Account Name</th>
                                        <th style="border: none">Narrations</th>
                                        <th style="border: none">Debit/Credit</th>
                                        <th style="border: none">Amount</th>
                                    </tr>
                                </thead>
                                <tbody id="table-body" >
                                    <?php $__currentLoopData = $journalVoucher; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key=>$voucher): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                   <tr>
                                        <td class="border border-dark"><?php echo e($voucher->account->name_of_organisation ?? $voucher->account->account_name); ?></td>
                                        <td class="border border-dark"><?php echo e($voucher->narration); ?></td>
                                        <td class="border border-dark"><?php echo e($voucher->type); ?></td>
                                        <td class="border border-dark"><?php echo e(number_format($voucher->amount, session('branch')->currency_decimal)); ?></td>
                                   </tr>
                                   <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-8 pt-2" style="border-bottom: solid;border-left: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="padding: 5px;margin:0"><?php echo session()->get('branch')->payment_details; ?></p>
                        </div>
                        <div class="col-md-2 pt-2" style="border-right: solid;border-left: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Debit Amount: </strong></p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Credit Amount : </strong></p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><strong>Difference : </strong></p>
                        </div>
                        <div class="col-md-2 pt-2" style="border-right: solid;border-color: black;padding: 0;">
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><?php echo e(number_format($journalVoucher[0]->amount, session('branch')->currency_decimal)); ?></p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><?php echo e(number_format($journalVoucher[0]->amount, session('branch')->currency_decimal)); ?></p>
                            <p class="text-dark font-weight-bold" style="border-bottom: solid;border-color: black;padding: 5px;margin:0;"><?php echo e(number_format(0, session('branch')->currency_decimal)); ?></p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-6 pt-2 d-flex flex-column justify-content-end" style="border-bottom: solid; border-left: solid; border-color: black; padding: 0; height: 150px;">
                            <p class="text-dark font-weight-bold text-left" style="padding: 5px; margin: 0;"><strong>Client Signature & Stamp</strong></p>
                        </div>


                        <div class="col-md-6 pt-2 d-flex flex-column justify-content-end" style="border-bottom: solid;border-right: solid;border-color: black;padding: 0;height: 150px;">
                            <p class="text-dark font-weight-bold mt-5 text-right" style="padding: 5px;margin:0"><strong><?php echo e($company->name); ?></strong></p>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-md-12 pt-2 d-flex flex-column justify-content-center alien-item-center" >
                            <p class="text-dark font-weight-bold text-center" style="padding: 5px; margin: 0;"><strong>Generated by Ledgematic</strong></p>
                        </div>
                    </div>


                    



                </div>
            </div>
        </div>
    </div>
    </div>
    <!-- end row -->

    <script>
        document.addEventListener("DOMContentLoaded", function() {
            // Initialize total amounts
            let totalDebitAmount = 0;
            let totalCreditAmount = 0;

            // Extract journal voucher data from Blade's inline PHP
            const journalVoucher = <?php echo json_encode($journalVoucher, 15, 512) ?>;

            // Loop through journal vouchers to calculate debit and credit totals
            journalVoucher.forEach(function(voucher) {
                const voucherAmount = parseFloat(voucher.amount);
                const voucherType = voucher.type;

                if (voucherType === "debit") {
                    totalDebitAmount += voucherAmount;
                } else if (voucherType === "credit") {
                    totalCreditAmount += voucherAmount;
                }
            });

            // Calculate the difference between debit and credit
            const totalDifferenceAmount = totalDebitAmount - totalCreditAmount;

            // Update the elements with the calculated values
            document.getElementById("total-debit-amount").textContent = totalDebitAmount.toFixed(2);
            document.getElementById("total-credit-amount").textContent = totalCreditAmount.toFixed(2);
            document.getElementById("total-difference-amount").textContent = totalDifferenceAmount.toFixed(2);

            // Calculate the grand total
            const grandTotal = totalDebitAmount + totalCreditAmount;
            document.getElementById("grand-total").textContent = grandTotal.toFixed(2);
        });
    </script>





    <script>
        function printPageArea(areaID) {
            var printContent = document.getElementById(areaID).innerHTML;
            var originalContent = document.body.innerHTML;
            document.body.innerHTML = printContent;
            window.print();
            document.body.innerHTML = originalContent;
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.crusher', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH F:\zampp 2 7.4\htdocs\acpnew-repo\resources\views/crusher/trans_journal_voucher/view.blade.php ENDPATH**/ ?>