<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class AdminPaymentVoucher extends Model
{
    use SoftDeletes;

    public function expense()
    {
        return $this->hasMany(PaymentVoucherExpense::class, 'voucher_id', 'id');
    }

    // RELATION
    function account()
    {
        return $this->morphTo();
    }

    public function buyer()
    {
        return $this->hasOne(OtherAccountBuyer::class, 'invoice_no', 'invoice_no');
    }


}
