<?php

namespace App\Http\Controllers;
use App\DeliveryNote;

use Illuminate\Http\Request;

class ApprovalDoReportController extends Controller
{
    public function view()
    {
        $deliveryNotes = DeliveryNote::with('item', 'account', 'salesInvoice')
        ->whereIn('id', function ($query) {
            $query->selectRaw('MIN(id)')
                ->from('delivery_notes')
                ->groupBy('do_no');
        })
        ->where('branch_id', session()->get('selected_branch'))
        ->get();
        // dd($deliveryNotes);
        return view('crusher.reports.approval_voucher_do_report' ,compact('deliveryNotes'));
    }

}
