<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class WareHouseTrack extends Model
{
    use SoftDeletes;
    
    protected $table = 'ware_houses_track';


    public function warehouse()
    {
        return $this->belongsTo('App\WareHouse', 'ware_house_id', 'id');
    }
}